/** @file
  Example2 .h file. 
#  
#**/

#ifndef _EXAMPLE2_H_
#define _EXAMPLE2_H_

//
// Forward reference for pure ANSI compatibility
//
typedef struct _LOCATION2_S LOCATION2_S;

/**

  This type of function does some amazing things. Just look at this list...

  @param[in]  pF1P1                 Pointer to something.
  @param[in]  Path                  A path to some place.
  @param[out] pResultPath           A pointer to some other place. 

  @retval 0                         Success.
  @retval 1                         Oops.

**/
typedef 
int
(__cdecl *Fn1_2) (
  char *pF1P1,
  char Path,
  char *pResultPath
);


/**

  This type of function does more amazing things. Just look at this list...

  @param[in]  pF2P1                 Pointer to something.
  @param[in]  anotherPath           A path to some place.
  @param[out] pAnotherResultPath    A pointer to some other place. 

  @retval 0                         Success.
  @retval 1                         Oops.

**/
typedef 
int
(__cdecl *Fn2_2) (
  char *pF2P1,
  char anotherPath,
  char *pAnotherResultPath
);


// *******************************************************
// A Struct using the Fn ptrs.
// *******************************************************
typedef struct _LOCATION2_S {
    Fn1_2         Fn1Ptr;
    Fn2_2         Fn2Ptr;
    char        *name;
} LOCATION2_S;


#endif

